//
// C++ Interface: showinsertatrect
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef SHOWINSERTATRECT_H
#define SHOWINSERTATRECT_H

#include <qcanvas.h>
#include <qpainter.h>
#include "pics/icons.h"

/**
@author Predrag Viceic
*/
class ShowInsertAtRect : public QCanvasRectangle
{
public:
    ShowInsertAtRect(QCanvas* canvas);

    ~ShowInsertAtRect();
    void setGeom(int x, int width);
    QPointArray areaPoints() const;
protected:
    void drawShape( QPainter & );

};

#endif
